library bmfmap_utils.utils.flutter_bmfutils;

import 'dart:async';
import 'package:flutter/services.dart';

/// 获取utils版本号
class FlutterBmfutils {
  static const MethodChannel _channel = const MethodChannel('flutter_bmfutils');

  /// 获取地图SDK中utils组件版本号
  ///
  /// 对应native端utils组件的版本号
  static Future<String> get utilsVersion async {
    final String version = await _channel.invokeMethod('getUtilsVersion');
    return version;
  }
}
